package httpreverse

import (
	"fmt"
	"net"
	"testing"
)

func TestCIDR(t *testing.T) {
	_, c, err := net.ParseCIDR("108.162.192.0/18")
	if err != nil {
		t.Fatal(err)
	}
	fmt.Println(c.Contains(net.ParseIP("108.162.245.124")))
}

func TestReverseParse(t *testing.T) {
	data, err := Parse("./cfg.ini")
	if err != nil {
		t.Fatal(err)
	}
	fmt.Printf("%+v\n", data)
}

func TestReverse(t *testing.T) {
	data, err := Parse("./cfg.ini")
	if err != nil {
		t.Fatal(err)
	}
	fmt.Printf("%+v\n", data)
	data.Run()
}
